{------------------------------------------------------------------------------}
{ TExportStrings v2.70(c) 1998-99 Y-Tech Corporation           March 3rd, 1999 }
{------------------------------------------------------------------------------}
{ TExportStrings Prints or Exports any TStrings or TStringList to 10 Formats   }
{ (including HTML, Microsoft Word & Excel) Exports to Screen or File. Can      }
{ Export even if target App is not installed. Shows Progress. Incredibly Fast. }
{ (Freeware)                                                                   }
{                                                                              }
{ Please visit our Web Site: http://www.igather.com/components to try out the  }
{ many other shareware & freeware components available there.                  }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Don't Panic...                                                               }
{------------------------------------------------------------------------------}
{ If you try to export to DIF/SYLK Formats under the IDE, you'll get many      }
{ exceptions. This is normal, it is how they test to see if the string is      }
{ actually numeric data.                                                       }
{                                                                              }
{ It's easy to avoid this, either don't export to DIF/SYLK under the IDE or go }
{ to Tools/Debugger Options/Language Exceptions and choose to ignore           }
{ "EConvertError" Exceptions. If you don't have Delphi 4 and you still want to }
{ export to DIF/SYLK under the IDE then you have to turn off the IDE's         }
{ "Break on Exception" option.                                                 }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Installation                                                                 }
{------------------------------------------------------------------------------}
{ Please register ExportStringsReg.pas                                         }
{                                                                              }
{ Important! Since many Y-Tech Components (ie. those made by Y-Tech Corp.)     }
{ share the same units, you must put all code files (.dcu, .pas, .dfm,         }
{ .dcr, etc...) for all Y-Tech Components into the same directory. Otherwise   }
{ Delphi will not compile the library/package properly.                        }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Questions & Comments                                                         }
{------------------------------------------------------------------------------}
{ All questions and comments should be sent to ycomp@hotpop.com                }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Usage                                                                        }
{------------------------------------------------------------------------------}
{ - Always read "readme.txt"                                                   }
{ - Please look at "info.htm"                                                  }
{ - Please refer to the help file.                                             }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Freeware License Agreement & Disclaimer                                      }
{------------------------------------------------------------------------------}
{ By use of this component, you have agreed to the following:                  }
{                                                                              }
{ You may not not distribute the source for this component, you may only       }
{ distribute the freeware with no source version. (The source zip will have    }
{ no .dcu files in it, the one with no source will have .dcu files)            }
{                                                                              }
{ Also, you may only distribute the unmodified .Zip file of the Freeware with  }
{ No Source version of this component. The .Zip file mentioned is the .Zip     }
{ file that this file you are currently reading came in. Other than that, you  }
{ are free to distribute this component.                                       }
{                                                                              }
{ Although this component has been thoroughly tested and documented, neither   }
{ Y-Tech Corporation nor any of it's employees nor the author will be held     }
{ responsible for any damage arising from it's use or misuse.                  }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ International Language Support                                               }
{------------------------------------------------------------------------------}
{ There are 2 ways of implementing support for your own language:              }
{                                                                              }
{ 1. Get the EC_Strings.pas file for your language and follow the              }
{    installation instructions that come with it. Try downloading it from the  }
{    Y-Tech Components web site (http://www.igather.com/components).           }
{                                                                              }
{ 2. Translate it yourself. (if there is no EC_Strings.pas for your language,  }
{    you must do it this way). It's simple really, just find the               }
{    EC_Strings.pas unit that came with TExportListView and translate the      }
{    strings inside. There's not that many, so it's not a big job. Then        }
{    recompile the package/component library that your component is installed  }
{    in. Finally, if you think you made a half-decent translation, please      }
{    e-mail it to Y-Tech at ycomp@hotpop.com                                   }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Revision History                                                             }
{------------------------------------------------------------------------------}
{ 2.50: + Initial Release. It's a rather unusual 2.5 instead of 1.00 because   }
{         this is not an entirely brand new component. Most of the code is     }
{         shared with TExportListView v2.50 (and TExportListView has been      }
{         around since v1.00)                                                  }
{                                                                              }
{ 2.60: + Fixed Print Bug. I had simply forgotten the line of code that tells  }
{         the print method how many items to print. This bug in no way affects }
{         the export routines (ie. the Choose and Execute methods). Everything }
{         now appears to be working fine.                                      }
{       + Modified Export App Detection Code to detect corrupt registry keys   }
{         in D2/D3, before it was only done in D4.                             }
{       + Added Icon Display to Choose Dialog. Now when an export type is      }
{         chosen, the assoicated icon is displayed.                            }
{       + Single-Column Exports now look much better for Printing and the      }
{         Text and Clipboard Export Types.                                     }
{                                                                              }
{       + TExportX Components now distributed together as:                     }
{           1) TExportX Suite    - TExportListView, TExportEnhListView,        }
{                                  TExportExtListView, TExportStringGrid.      }
{           2) TExportX-DB Suite - TExportDBGrid, TExportTable                 }
{           3) TExportStrings [Freeware]                                       }
{                                                                              }
{ 2.61: + Fixed 'Strip' bug introduced in v2.60. Exporting a blank field could }
{         cause an exception.                                                  }
{                                                                              }
{ 2.62: + Nothing Changed. Just maintaining the same version number as the     }
{         other TExportX Components.                                           }
{                                                                              }
{ 2.70: New Export Formats:                                                    }
{         + Added xDIF (Data Interchange Format) Export Type.                  }
{         + Added xSYLK (Symbolic Link) Export Type. SYLK has a 255 char limit }
{           for strings so if you have any really long strings or long memos   }
{           you should disable this format. Otherwise though, SYLK is better   }
{           than DIF, Comma Delimited Text and Tab Delimited text because it   }
{           will look much nicer when imported into a spreadsheet.             }
{                                                                              }
{       New Options:                                                           }
{         + Added ExportDataOnly option. If True, it will not export column    }
{           headers to Comma-Delimated, Tab-Delimeted Text, DIF & SYLK formats.}
{           Also some future formats might support this option. It is useful   }
{           since some programs treat the first row of those file types as     }
{           data.                                                              }
{                                                                              }
{       HTML Improvements:
{         + HTML Code now much more compact. This will speed up loading time   }
{           for large exports.                                                 }
{         + Added HTML_Options property. You can now control the display of    }
{           GridLines, whether the Column Header Row is Bold and if you want   }
{           to make data containing URLs & email addresses you export          }
{           automatically linked.                                              }
{         + Added HTML_Template property so you can choose what your HTML      }
{           output will look like. 4 Templates are included, more templates    }
{           will be added in future releases.                                  }
{------------------------------------------------------------------------------}

unit ExportStringsReg;

interface

uses EC_TStrings;

const
  {$I CompConstants.inc} // Component Constants & Conditional Defines

procedure Register;

implementation

uses Classes;

procedure Register;
begin
  RegisterComponents(cExportTab, [TExportStrings]);
end;

end.
